Get Qualification Criteria (QC) List
Pulls a list of all qualification criteria (QC) available and defined at the business level.
To call this API, the offers ingestion option must be enabled for the business on the Punchh platform. Contact your Punchh representative to update this Punchh platform configuration.
Qualification criteria search is on a business level, and the request can:
- Set search limits and order by descending search
- Filter based on name and other attributes, for example, name or recency
For more information, see Offers Ingestion Management
- Type: stringAccept
Set this header to application/json
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: stringContent
- Type Set this header to application/json
- Type: integerpage
Number of pages to retrieve. If the requested number exceeds the available pages, the system will retrieve up to the last valid page. If the
pagevalue is not provided, the default value is used. - Type: integerper
_page Number of records per page. If the
per_pagevalue is not provided, the default value is used. The maximumper_pagevalue is enforced based on the OFFERS_LIST_MAX_PER_PAGE environment variable. - Type: stringquery
Define the search string on the qc name column
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/offers/qc \
--header 'Accept: ' \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Content-Type: application/json' \
--data '{
"query": "free",
"page": 1,
"per_page": 20
}'
{
"data": [
{
"name": "10% Off on Sandwich",
"external_id": "EXTERNAL_ID_GOES_HERE",
"amount_cap": "3",
"percentage_of_processed_amount": "10",
"qc_processing_function": "sum_amounts",
"rounding_rule": "ceil",
"max_discount_units": 2,
"target_price": 1,
"effective_location": "location:1234",
"stack_discounting": false,
"reuse_qualifying_items": false,
"line_item_filters": [
{
"line_item_selector": {
"name": "Test LIS",
"external_id": "EXTERNAL_ID_GOES_HERE",
"exclude_non_payable": false,
"filter_item_set": "base_and_modifiers",
"base_items": {
"clauses": [
{
"attribute": "line_item_type",
"operator": "==",
"value": "M"
},
{
"attribute": "item_id",
"operator": "in",
"value": "101"
}
]
},
"modifiers": {
"clauses": [
{
"attribute": "item_name",
"operator": "like",
"value": "modified"
}
],
"processing_method": "max_price",
"max_discount_units": 12
}
},
"processing_method": "max_price",
"quantity": 5
}
],
"enable_menu_item_aggregator": false,
"aggregator_grouping_attributes": {
"item_name": false,
"item_id": false,
"item_major_group": false,
"item_family": false,
"line_item_type": false
},
"item_qualifiers": [
{
"expression_type": "line_item_exists",
"line_item_selector": {
"name": "Test LIS",
"external_id": "EXTERNAL_ID_GOES_HERE",
"exclude_non_payable": false,
"filter_item_set": "base_and_modifiers",
"base_items": {
"clauses": [
{
"attribute": "line_item_type",
"operator": "==",
"value": "M"
},
{
"attribute": "item_id",
"operator": "in",
"value": "101"
}
]
},
"modifiers": {
"clauses": [
{
"attribute": "item_name",
"operator": "like",
"value": "modified"
}
],
"processing_method": "max_price",
"max_discount_units": 12
}
},
"net_value": null
}
],
"receipt_qualifier": [
{
"attribute": "total_amount",
"operator": ">=",
"value": "10"
}
]
}
],
"meta": {
"page": 1,
"per_page": 1,
"total_records": 10
}
}